package com.hotent.portal.persistence.manager;

import com.hotent.portal.model.PortalNewsTree;
import com.hotent.base.manager.BaseManager;
import com.hotent.base.model.CommonResult;

/**
 *  服务类
 *
 * @company 广州宏天软件股份有限公司
 * @author 赵祥云
 * @since 2020-07-03
 */
public interface PortalNewsTreeManager extends BaseManager<PortalNewsTree> {

	CommonResult<String> issue(String id) throws Exception;

	CommonResult<String> mobileIssue(String id);

	CommonResult<String> mobileRemove(String id);

	void updateEntity(PortalNewsTree t)throws Exception;

    CommonResult<String>  importCheck(String uzPath, String classifyId) throws Exception;

    void importFile(String uzPath, String classifyId) throws Exception;
}
